Get Action Runnable Item

Get Action Runnable Item
Get resource action runnable item.

Get resource action runnable item.

Request
URI
GET
https://vcfa-10-162-161-9.vcfd.broadcom.net/form-service/api/custom/resource-actions/{id}/runnable-item
COPY
Path Parameters
string
id
Required

id

Query Parameters
boolean
includeCrResourceActions
Optional

includeCrResourceActions


Authentication
This operation uses the following authentication methods.
Responses
200

'Success' RunnableItem corresponding to the resource action

Returns RunnableItem of type(s) */*
{
    "id": "string",
    "name": "string",
    "description": "string",
    "projectId": "string",
    "type": "string",
    "inputParameters": [
        {
            "type": "string",
            "name": "string",
            "description": "string"
        }
    ],
    "outputParameters": [
        {
            "type": "string",
            "name": "string",
            "description": "string"
        }
    ],
    "endpointLink": "string",
    "inputBindings": [
        {
            "inputKey": "string",
            "value": "string",
            "type": {
                "dataType": "string",
                "referenceType": "string",
                "fields": [
                    {
                        "label": "string",
                        "description": "string",
                        "signpost": "string",
                        "type": "FormSchemaFieldType Object",
                        "step": "number",
                        "default": {},
                        "valueList": {},
                        "placeholder": "string",
                        "constraints": {
                            "matchConstraint": {
                                "match": {}
                            },
                            "constraints": {
                                "constraints": {}
                            }
                        },
                        "refresh": {
                            "type": "string"
                        },
                        "shortValueName": [
                            "string"
                        ],
                        "id": "string",
                        "valueTree": {}
                    }
                ],
                "isMultiple": false
            },
            "bindingAction": {
                "actionName": "string",
                "actionInputs": [
                    "Binding Object"
                ]
            }
        }
    ]
}

403

'Forbidden' no resource action viewing rights

Operation doesn't return any data structure

404

'Not Found' if there is no resource action with specified ID

Operation doesn't return any data structure

Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/form-service/api/custom/resource-actions/{id}/runnable-item